| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Array

Classes
Iterator
Methods
all()
any()
arrayify()
columns()
combinations()
common_prefix()
compact_diff3()
count()
diff()
diff3()
diff_compare_table()
diff_dyn_longest_sequence()
diff_longest_sequence()
dwim_sort_func()
everynth()
flatten()
greedy_diff()
interleave_array()
longest_ordered_sequence()
lyskom_sort_func()
oid_sort_func()
partition()
permute()
pop()
push()
reduce()
rreduce()
search_array()
shift()
shuffle()
sort_array()
splice()
sum()
sum_arrays()
transpose()
uniq()
uniq2()
unshift()

Array.splice() | Array.sum_arrays()

# Method Array.sum()

Method sum

  `mixed sum(array a)`

Description

  Sum the elements of an array using `+. The empty array results in 0.